function main()
{
  var app = System.GetInterface('Application');
  var Model = app.Models.GetObject(0);
  //... parameter in GetObject determines with which model the script should work.
  //0 = first model listed in the Application View, 1 = second model listed in the Application View etc.
  var WorkSpaceMain = Model.Workspaces.GetObject(0);
  var i, j, r, Schema, WorkSpace, Object, Relation;
  var ChildEntity, ParentEntity, WLine;

  Model.Lock();
  for (i=0; i<Model.Schemas.Count; i++)
  {
    Schema = Model.Schemas.GetObject(i);
    WorkSpace = Model.CreateNewObject( 2501 ); //Create new workspace
    WorkSpace.Name = Schema.Name;
    for(j=0;j<Schema.Objects.Count;j++)
    {
      Object = Schema.Objects.GetObject(j);
      if (Object.ObjectType == 2002) //Entity
      {
        CreateCopyShape(WorkSpaceMain, WorkSpace, Object, 2502); //ShapeEntity
        for (r=0; r<Object.Relations.Count; r++)
        {  
           Relation = Object.Relations.GetObject(r); 
           ChildEntity  = Relation.ChildEntity;
           ParentEntity  = Relation.ParentEntity;
           WLine = WorkSpace.CreateWorkspaceLineByParentobject(Relation, 2504); //Create Relation line
           if (WLine != null)
             WLine.FontSize = 8;
        }
      }
      else
        if (Object.ObjectType == 2005) //View
        {
          CreateCopyShape(WorkSpaceMain, WorkSpace, Object, 2503); //ShapeView
        }
        else
          if (Object.ObjectType == 2035) //MaterializedView
          {
            CreateCopyShape(WorkSpaceMain, WorkSpace, Object, 2506); //ShapeMaterializedView
          } 
    }
  }
  Model.UnLock();
}

function CreateCopyShape(WorkSpaceMain, WorkSpace, Object, WSType)
{
  var k, ObjectShape, MainObjectShape;

  ObjectShape = WorkSpace.NewWorkSpaceShape(WSType, Object);
  for (k=0; k<WorkSpaceMain.ShapeList.Count; k++)
  {
    MainObjectShape = WorkSpaceMain.ShapeList.GetObject(k);
    if ( (MainObjectShape.ObjectType == WSType)
      && (MainObjectShape.ParentBaseID == ObjectShape.ParentBaseID) )
    {
      ObjectShape.Left = MainObjectShape.Left;
      ObjectShape.Top = MainObjectShape.Top;
      ObjectShape.Width = MainObjectShape.Width;
      ObjectShape.Height = MainObjectShape.Height;
      break;
    }
  }
}